--
--  $Id: commands.ads,v 1.2 2011/02/02 19:08:06 joel Exp $
--

with RTEMS_Shell;            use RTEMS_Shell;
with Command_Line_Arguments; use Command_Line_Arguments;
with Interfaces.C;           use Interfaces.C;
with Interfaces.C.Strings;   use Interfaces.C.Strings;

package Commands is

   function Prompt return String;
   function C_Prompt return chars_ptr;
   pragma Convention (C, C_Prompt);

   function Command_Test_Arguments
     (ArgC : Argument_Count_Type;
      ArgV : Argument_Vector_Type)
      return int;
   pragma Convention (C, Command_Test_Arguments);

   function Command_Getopt_R
     (ArgC : Argument_Count_Type;
      ArgV : Argument_Vector_Type)
      return int;
   pragma Convention (C, Command_Getopt_R);

end Commands;
